/*******************************************\
|                                           |
| input.h by slip                           |
| Input handler                             |
| Refer to input.cpp for details            |
| www.ice-d.com                             |
|                                           |
\*******************************************/
#ifndef _INPUT_H_
#define _INPUT_H_

#include "keypad.h"
#include "timers.h"
#include "gba.h"

//Timer defines - change these to change the timer the input handler
#define REG_TM_INPUT_CNT		REG_TM3CNT		//Using Timer 3
#define REG_TM_INPUT_D			REG_TM3D		//This has to be the same timer

extern void ResetTimerCSPF() CODE_IN_EWRAM;		//Called once each frame
extern void UpdateKeys() CODE_IN_EWRAM;			//Called once each frame
extern void SetupInput() CODE_IN_ROM;			//Called once to setup the input handler
extern void SetupInputTimer() CODE_IN_ROM;		//Called once to setup the input timer

extern u32 CSPF IN_IWRAM;
extern u16 FREG_KEYS IN_IWRAM;
extern u16 KEYFLAGS IN_IWRAM;
extern u16 KEYHOLDFLAGS IN_IWRAM;
extern u32 KEYHOLDTIMER[10] IN_IWRAM;
extern u32 KEYREPEATTIME[10] IN_IWRAM;
extern u32 KEYREPEATTIMEINIT[10] IN_IWRAM;
extern u32 KEYREPEATTIMETEST[10] IN_IWRAM;

#endif

